function 	Sv = bscat_1(Tx, Sal, E,  PL, R )

% backscat.m modified to give a result for the beam averaged counts

% Calibration coefficients for the TG Thompson, August 1994

K1c = mean([5.424 5.647 6.609 6.172]);
K2 = mean([2.158 2.244 1.854 2.183]);

Ks = 4.17e+5;			% System constant for 150 kHz ADCP

Vs = 117;			% Line voltage

Te = 30;			% Deck Unit temperature

Kc = 127.3/(273 + Te);

Er = mean([20 20 20 20]);		% Crude guess at the reference level counts

K1 = K1c*((1.397*Vs - 4.27)/37.14)^2;	% Power into water, W

alpha = s_absorb(Tx, Sal, 1.0);	% Absorbtion coefficient

c = svel(Tx, Sal);		% Sound Velocity

num = 4.47e-20 * (K2 .* Ks * (Tx + 273)) .* (10.^(Kc.*(E - Er)/10) - 1) .* R.^2;

denom = c * PL * K1 * 10.^(-2*alpha*R/10);

Sv = 10*log10(num./denom);
Sv=real(Sv); % VK 06/19/2004
