%************************************* s_absorb.m  **************************************
% Sound absorbtion coefficient as a function of temp, salin, and press (in atmopheres)

function alpha = s_absorb(temp,sal,press)
 
FT = 21.9*10.0^(6.0 - 1520.0/(temp+273.0)); 	% kHz 
      AA = 1.86e-2;
      A3 = 6.54e-4;
      BB = 2.68e-2;
      FF = 150;               			% kHz, transmit frequency of ADCP
      alpha = (AA*sal*FT.*FF.*FF/(FT*FT + FF.*FF)...
              + BB.*FF.*FF/FT)*(1.0-A3*press);              	% db/kyd 
      alpha = alpha/914.4;                                		% db/m 
